=== debian/control ===
Source: ros-kinetic-marker-rviz-plugin
Section: misc
Priority: extra
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rviz
Homepage: http://wiki.ros.org/marker_rviz_plugin
Standards-Version: 3.9.2

Package: ros-kinetic-marker-rviz-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rviz
Description: The marker_rviz_plugin package contains RViz plugins to visualize messages of the marker_msgs package using RViz.
